using System;
using Avalonia.Controls;
using Avalonia.Interactivity;
using LauncherGUI.ViewModels;

namespace LauncherGUI.Views;
using Plombir;

public partial class SessionManagmentWindow : Window
{
    private MainWindowViewModel _mainWindowVM;
    public SessionManagmentWindow(MainWindowViewModel mainWindowVM)
    {
        InitializeComponent();
        _mainWindowVM = mainWindowVM;
        inputNickname.Text = _mainWindowVM.Usernick; // setting default nickname.
        currentNickname.Text = _mainWindowVM.Usernick;
        loginMethod.Text = _mainWindowVM.LoginMethod;
    }

    private void OnSaveButtonClick(object sender, RoutedEventArgs e)
    {
        if (sender is not Button button) return;

        _mainWindowVM.Usernick = inputNickname.Text;
        Console.WriteLine($"Changing nickname to {inputNickname.Text}");

        button.Content = "Saved!";
    }

    async private void OnMicrosoftLoginClick(object sender, RoutedEventArgs e)
    {
        var session = await Utils.GetLicensedSession();
        _mainWindowVM.LoginMethod = "microsoft";
        _mainWindowVM.Usernick = session.Username;
        _mainWindowVM.UUID = session.UUID;
        _mainWindowVM.AccsesToken = session.AccessToken;
        _mainWindowVM.ClientToken = session.ClientToken;
    }
}
